Bug 485 - Could not access to local NTFS volume
: Could not access to local NTFS volume
Status: RESOLVED FIXED
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Main Packages
: Marathon
: All Linux
: Normal normal
: ---
Assigned To: ROSA Linux Bugs
: ROSA Linux Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-06 09:08 MSD by FirstLevel
Modified: 2012-12-25 15:21 MSK (History)
5 users (show)

See Also:
RPM Package: ntfs-3g-2011.4.12-2-rosa.lts2012.0.i586
ISO-related:
Bad POT generating:
Upstream:


Attachments
An error while I access NTFS volume (115.41 KB, image/png)
2012-07-06 09:08 MSD, FirstLevel
Details
output of diagnostic utilities (1.75 KB, text/plain)
2012-07-06 09:08 MSD, FirstLevel
Details
cat /etc/mtab before access (24.27 KB, text/plain)
2012-07-06 09:08 MSD, FirstLevel
Details
cat /etc/mtab after access (24.27 KB, text/plain)
2012-07-06 09:09 MSD, FirstLevel
Details

Note You need to log in before you can comment on or make changes to this bug.
Description FirstLevel 2012-07-06 09:08:08 MSD
Created attachment 352 [details]
An error while I access NTFS volume

Description of problem:
I have ROSA 2012 LTS (32 bit) on double-boot system with Windows 7. NTFS volumes is not mounted automatically on ROSA. I have given access from Dolphin.
Yesterday I have got  an error while access to NTFS volume (screenshot is attached).
I have attached output of some diagnostic utilities too.
I have checked NTFS volume by chkdsk in Windows 7 and have not found any errors. Also I have finished the work of Windows 7 by regular way.


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
Comment 1 FirstLevel 2012-07-06 09:08:27 MSD
Created attachment 353 [details]
output of diagnostic utilities
Comment 2 FirstLevel 2012-07-06 09:08:55 MSD
Created attachment 354 [details]
cat /etc/mtab before access
Comment 3 FirstLevel 2012-07-06 09:09:20 MSD
Created attachment 355 [details]
cat /etc/mtab after access
Comment 4 Postnikov Dmitry 2012-07-06 14:21:34 MSD
Some testers also wrote about it. That is, even in the 357th iso image. This error occurs after installation of the system. And after the next reboot all is well.
To mount the ntfs partition to use ntfs-config.
Comment 5 FirstLevel 2012-07-06 14:51:57 MSD
(In reply to comment #4)
> Some testers also wrote about it. That is, even in the 357th iso image. This
> error occurs after installation of the system. And after the next reboot all
> is well.
> To mount the ntfs partition to use ntfs-config.

1. I have rebooted my system twice or more and problem is presented.
2. As I have said I have not mounted NTFS volume by mount or editing /etc/fstab. I have used Doplhin for getting access to this volume. And some months I have no problems with getting access to NTFS volumes.
Comment 6 Dmitry Mikhirev 2012-07-06 17:05:19 MSD
This issue can be related to wrong /etc/mtab contents. The possible workaround:

# rm /etc/mtab
# ln -s /proc/mounts /etc/mtab
Comment 7 FirstLevel 2012-07-06 19:16:02 MSD
(In reply to comment #6)
> This issue can be related to wrong /etc/mtab contents. The possible
> workaround:
> 
> # rm /etc/mtab
> # ln -s /proc/mounts /etc/mtab

Ok, it is good workaround. But does You suggest any complete solution?
Comment 8 Dmitry Mikhirev 2012-07-09 12:48:32 MSD
(In reply to comment #7)
> (In reply to comment #6)
> > This issue can be related to wrong /etc/mtab contents. The possible
> > workaround:
> > 
> > # rm /etc/mtab
> > # ln -s /proc/mounts /etc/mtab
> 
> Ok, it is good workaround. But does You suggest any complete solution?

The final solution should be adding this link in package, but first we must ensure that it does not cause any regressions. E.g. it can affect mounting NFS shares. The same question was discussed in Debian bugtracker [1], and they needed several years to complete this transition.

1. http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=494001
Comment 9 Aleksandr Kazantcev 2012-07-09 13:01:20 MSD
symlink /etc/mtab to /procs/self/mounts is useful, but will be only after copying root from LiveCD to HDD, not automate and not in package - it's broke loading install section (and in some parts Live mode).

Solution is good, by need investigating and changing instalator.
Comment 10 Denis Silakov 2012-12-25 15:21:35 MSK
/etc/mtab -> /procs/self/mounts symlink was finally implemented (some more details in bug #374)